Subject: bug#3956: Happens on Windows too

From: Ville-Markus Yli-Suutala <[email-masked]>
Date: Sun, 22 Aug 2021 23:35:43 +0300

On Sun, Aug 22, 2021 at 9:06 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Ville-Markus Yli-Suutala <[email-masked]>
> > Date: Sat, 21 Aug 2021 23:40:48 +0300
> >
> > Height of the scrollbar thumb changes while scrolling on Windows too.
>
> That's how the scroll-bar thumb was designed to work in Emacs.

By height changing I mean the tallness of the thumb, not its position
on the scrollbar. My display resolution is 1920 x 1080. If I start
Emacs with emacs -Q, click the maximize window button in the top right
corner, and go to the tutorial by pressing C-h t. The scrollbar thumb
is now 24 pixels tall. Now if I press C-v to scroll down, the
scrollbar thumb grows to be 42 pixels tall.

Is it actually meant to work this way? GTK+ Emacs on my Debian machine
does not change the size of the scrollbar thumb as I scroll.